%define version 358
%define release 8mdk

Summary: A text file browser similar to more, but better.
Name: less
Version: %{version}
Release: %{release}
Copyright: GPL
Group: File tools
BuildRequires: gpm-devel, ncurses-devel
Source: ftp://ftp.gnu.org/pub/gnu/less/less-%{version}.tar.bz2
Source1: faq_less.html
Source2: lesspipe.sh
Patch0: less-3.46-utf8.patch.bz2
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root

%description
The less utility is a text file browser that resembles more, but has
more capabilities.  Less allows you to move backwards in the file as
well as forwards.  Since less doesn't have to read the entire input file
before it starts, less starts up more quickly than text editors (for
example, vi). 

You should install less because it is a basic utility for viewing text
files, and you'll use it frequently.

%prep
%setup -q

%patch0 -p1

%build
CFLAGS=$(echo "$RPM_OPT_FLAGS -DHAVE_LOCALE" | sed -e s/-fomit-frame-pointer//)
%configure
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# faq
install -m 644 %{SOURCE1} .
install -m 755 %{SOURCE2} %buildroot/%_bindir/

%files
%defattr(-,root,root)
%doc faq_less.html
%{_bindir}/*
%{_mandir}/man1/*


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 358-8mdk
- Make it build without -fomit-frame-pointer to get -DHAVE_LOCALE support, or
  else we get a segfault.

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 358-7mdk
- By default don't render .html file in lesspipe.

* Fri Jan 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 358-6mdk
- Rebuild against last ncurses

* Thu Jan  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 358-5mdk
- Improve lesspipe.sh and don't make depend of file rpm.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 358-4mdk
- Add lesspipe.sh here.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 358-3mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 358-2mdk
- rebuild for BM

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 358-1mdk
- new release
- use more macros

* Thu Jun 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 346-2mdk
- added UTF-8 patch from Alastair.McKinstry@compaq.com
- modularized path names

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 346-1mdk
- new release

* Fri Mar 31 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- use of _tmppath _prefix
- change copyright

*Mon Nov 01 1999 Vincent Saugey <vincent@mandrakesoft.com>
- add faq page to /usr/doc

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 340.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Update to 337
- Fix up URL
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- relocatable

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- removed ifarch axp stuff for /bin/more, more now works on alpha properly.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 332 and built for Manhattan
- added buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
